TeamGriddeveloper
get/webhooksRead operation

Get all webhooks

Use the frozen API v0 contract to get all webhooks. Returns legacy response envelopes and uses page-and-limit pagination where the route supports collection reads. Authentication scopes the request to the workspace that issued the token.

Query parameters

2
page
integer

One-based page number used by this legacy v0 collection endpoint.

limit
integer

Maximum number of records to return in this page. The response may contain fewer records.

Responses

6
200The legacy request to get all webhooks succeeded and returned the historical v0 response envelope.application/json
Response schemaapplication/json
data
object

Response data for the completed request.

info
string

The info associated with this legacy.

pagination
objectnullable

The pagination associated with this legacy.

status
stringnullable

Canonical status of the resource or operation.

statusCoderequired
integer

HTTP status code represented by this legacy response envelope.

201The legacy request to get all webhooks created a resource and returned the v0 response envelope.application/json
Response schemaapplication/json
data
object

Response data for the completed request.

info
string

The info associated with this legacy.

pagination
objectnullable

The pagination associated with this legacy.

status
stringnullable

Canonical status of the resource or operation.

statusCoderequired
integer

HTTP status code represented by this legacy response envelope.

204The request to get all webhooks completed successfully and returns no response body.
400Legacy request failure.application/json
Response schemaapplication/json
data
object

Response data for the completed request.

info
string

The info associated with this legacy.

pagination
objectnullable

The pagination associated with this legacy.

status
stringnullable

Canonical status of the resource or operation.

statusCoderequired
integer

HTTP status code represented by this legacy response envelope.

401Authentication failed.application/json
Response schemaapplication/json
error
string

Sanitized failure information when the operation did not succeed.

message
string

Human-readable explanation intended to help diagnose the result.

statusCoderequired
integer

HTTP status code represented by this legacy response envelope.

429Rate limit exceeded.application/json
Response schemaapplication/json
error
string

Sanitized failure information when the operation did not succeed.

message
string

Human-readable explanation intended to help diagnose the result.

statusCoderequired
integer

HTTP status code represented by this legacy response envelope.

Documentation feedbackWas this page useful?
Esc

Search TeamGrid Developer

Find guides, concepts and every API operation.